Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.dig
Class DIGQueryClassHierarchyTranslator

    java.lang.Object
      com.hp.hpl.jena.reasoner.dig.DIGQueryTranslator
          com.hp.hpl.jena.reasoner.dig.DIGIteratedQueryTranslator
              com.hp.hpl.jena.reasoner.dig.DIGQueryClassHierarchyTranslator

    public class DIGQueryClassHierarchyTranslator

extends DIGIteratedQueryTranslator

Translator that generates DIG queries in response to find queries that search the entire class hierarchy:

     * rdf:subClassOf *

or similar.

Version:
  CVS $Id: DIGQueryClassHierarchyTranslator.java,v 1.8 2008/01/02 12:07:09 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)

Field Summary

Fields inherited from class com.hp.hpl.jena.reasoner.dig.DIGQueryTranslator
`ALL`

Constructor Summary
`DIGQueryClassHierarchyTranslator(java.lang.String predicate)` Construct a translator for the DIG class hierarchy queries.

Method Summary

Methods inherited from class com.hp.hpl.jena.reasoner.dig.DIGIteratedQueryTranslator
`find, translatePattern, translatePattern, translateResponseHook`

Methods inherited from class com.hp.hpl.jena.reasoner.dig.DIGQueryTranslator
`checkObject, checkPredicate, checkSubject, checkTriple, find, translateResponse, trigger`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DIGQueryClassHierarchyTranslator

    public DIGQueryClassHierarchyTranslator(java.lang.String predicate)

  Construct a translator for the DIG class hierarchy queries.

  Parameters:
    `predicate` - The predicate URI to trigger on

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP